To start a new download you don't need to wait till the previous one is finished
You can download YouTube HD videos and and MP3 tracks right from Savefrom.net via Ummy Video Downloader
Choose a suitable Download folder in Settings
You can download HD and ULTRA HD via Ummy Video Downloader